{% extends 'template.html' %}
{% block header %}
   
{% endblock %}
{% block extracss %}
    <!-- Datatables -->
    <link href="/static/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/scroller.bootstrap.min.css" rel="stylesheet">
    <script type="text/javascript">   
           function cambiarfecha(dia, mes, anio){
                    window.location="/auditor/controldiario/"+{{ auditor_id}}+"/" + mes + "/" + dia+"/"+anio+"/"+{{ trabajo }};
           }
     </script>      
{% endblock %}
{% block cuerpo %}  
{% load humanize %}
<script>    
    suma=function(f){    
    var j=0;
    totalhoras=0;
    for(j=1; j<=10;j++){
        var total=0; 
       for(var x=0;x<f.length;x++){//recorremos los campos dentro del form
          if(f[x].name.indexOf(('horas'+j.toString()))!=-1){//si el nombre campo contiene la palabra 'aporte'
            numero=f[x].value;
            numero = numero.replace(/,/g, '.');
            total+=Number(numero);//sumamos, convirtiendo el contenido del campo a número
          }
          
       }
       for(var y=0;y<f.length;y++){//recorremos los campos dentro del form
          if(f[y].name.indexOf('totalhorase'+j.toString())!=-1){
             document.getElementById('totalhorase'+j.toString()).value=total;//al final colocamos la suma en algún input.
          }
       }
       totalhoras+=total;       
    }    
    document.getElementById('totalhorasd').value=totalhoras;//al final colocamos la suma en algún input.
}
function crear_dia()
{
      document.creardiaform.dian.value=document.getElementById('dia').value; 
      document.creardiaform.mesn.value=document.getElementById('mes').value; 
      document.creardiaform.anion.value=document.getElementById('anio').value; 
      document.creardiaform.trabajo_id.value={{ trabajo }};     
      document.creardiaform.auditor_id.value={{ auditor_id }};     
      document.creardiaform.submit();

}
$(document).ready(function () {
  suma(document.formcontrol);
});

</script>

<strong> <h3>CONTROL DIARIO DE HORAS DE TRABAJO AUDITOR</h2></strong> 
<p><h2>RESPONSABLE : <small>{{ responsable }}</small></h2></p>
<p><h2>FECHA : <small>{{ dia_str }}, <select id="dia" name="dia" onchange="cambiarfecha(document.getElementById('dia').value, document.getElementById('mes').value, document.getElementById('anio').value );">{% for dia1 in dias %}<option value="{{ dia1.dia }}" {% if dia1.dia == dia %} selected  {% endif %}>{{ dia1.dia }}</option>{% endfor %}{{ dia }}</select> <select id="mes" name="mes" onchange="cambiarfecha(document.getElementById('dia').value, document.getElementById('mes').value, document.getElementById('anio').value );">{% for mes1 in meses %}<option value="{{ mes1.mes }}" {% if mes1.mes == mes %} selected  {% endif %}>{{ mes1.mes_str }}</option>{% endfor %}{{ dia }}</select> <select id="anio" name="anio" onchange="cambiarfecha(document.getElementById('dia').value, document.getElementById('mes').value, document.getElementById('anio').value );">{% for anio in anios %}<option value="{{ anio }}" {% if anio_str == anio %} selected  {% endif %} >{{ anio }}</option>{% endfor %}</select></small> TRABAJO : <small>{{ trabajo_str }}</h2>
  {% if object_list|length %}
  {% else %}
  <a href="#" class="btn btn-primary" onclick="crear_dia();"><i
    class="fa fa-save"></i> Crear dia</a>
    <form id="creardiaform" name="creardiaform" method="POST" action="/auditor/creardia/"> {% csrf_token %}
      <input type="hidden" id="dian" name="dian">
      <input id="mesn" type="hidden" name="mesn">
      <input id="anion" type="hidden" name="anion">
      <input id="trabajo_id" type="hidden" name="trabajo_id">
      <input id="auditor_id" type="hidden" name="auditor_id">
    </form>
</p>  
{% endif %}
{{ error1 }}
<div class="loader"></div>
<form id="formcontrol" name="formcontrol" method="POST"> {% csrf_token %} 
{% regroup object_list|dictsort:"tea.etapa.id" by tea.etapa.nombre_etapa as actividades_by_fase  %}
   {% for etapas in actividades_by_fase %}
   <div class="x_panel">
       <div class="x_title">
          <p><h2>ETAPA : <small>{{ forloop.counter }} -  {{ etapas.grouper }}</small></h2></p>          
              <ul class="nav navbar-right panel_toolbox">
                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                </li>
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                       <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                         <a class="dropdown-item" href="#">Settings 1</a>
                         <a class="dropdown-item" href="#">Settings 2</a>
                       </div>
                </li>
                <li><a class="close-link"><i class="fa fa-close"></i></a></li>
              </ul>
              <div class="clearfix"></div>
       </div>
    <div class="x_content">        
        <table 
        class="table table-striped table-bordered dt-responsive nowrap"
        cellspacing="0" width="100%">
            <thead>
               <tr>
                  <td rowspan="2"><strong>No</strong></td>
                  <td rowspan="2"><strong>ACTIVIDAD</strong></td>                  
                  {% for dia in dias_hoy %}
                  <td><strong>Dia {{ dia.dia_semana }}</strong></td>
                  {% endfor %}
               </tr>
               <tr>                  
                  {% for dia in dias_hoy %}
                  <td><strong>{{ dia.Fecha }} {{ dia.dia }}</strong></td>
                  {% endfor %}
                </tr>   
             </thead>
            <tbody>       
                 {% for control in etapas.list|dictsort:"tea.orden" %}
                 <tr>
                    <td>{{ control.tea.orden }}</td>
                    <td>{{ control.tea.actividad.nombre_actividad }}</td>                                              
                    {% for dia in dias_hoy %}
                    <td><div class="row">
                        <div class="col-xs-2">
                          <input type="hidden" name="id_tea{{ control.tea.etapa.id }}[]" value="{{ control.id }}">  
                          <input type="text" name="horas{{ control.tea.etapa.id }}[]" placeholder="" maxlength="2" size="2" 
                          {% if dia.dia_semana == 'Sa' or dia.dia_semana == 'Do' %} disabled="disabled" {% endif %} onchange="suma(this.form);" value="{{ control.horas|floatformat:0|intcomma }}">                           
                        </div>                        
                      </div>
                    </td>
                    {% endfor %}
                 </tr>
                 {% endfor %}
                 <tr>
                    <td> </td>
                    <td><strong>TOTAL HORAS ETAPA</strong></td>
                    <td><div class="row">
                        <div class="col-xs-5">
                          <input type="text" class="form-control" name="totalhorase{{ forloop.counter }}"  id="totalhorase{{ forloop.counter }}" placeholder="" maxlength="2" size="2" readonly="readonly">                            
                        </div>                        
                      </div>
                    </td>
                 </tr>
            </tbody>    
        </table>
    </div>
</div>
{% endfor %}
<input type="hidden" id="action" name="action" value="add">
<script>
    suma(document.formcontrol);
</script>
</form>
<div class="x_panel">
 <div class="x_content">
   <table  class="table table-striped table-bordered dt-responsive nowrap"
   cellspacing="0" width="100%">
    <tbody>
     <tr>
        <td></td>
        <td><p><h2><strong>TOTAL HORAS DIA :</strong></h2></p></td>
        <td><div class="row">
              <div class="col-xs-2">
                 <input type="text"  id="totalhorasd" name="totalhorasd" placeholder="" maxlength="4" size="4" readonly="readonly" class="form-control">                            
              </div>                        
            </div>
        </td>
     </tr>
    </tbody>    
   </table>
   <a href="#" class="btn btn-success" onclick="document.formcontrol.submit();"><i
    class="fa fa-save"></i> Guardar</a>
    <a href="{{ create_url }}" class="btn btn-warning btnTest"><i
        class="fa fa-cancel"></i> Cancelar</a>
</div>
{% endblock %}
{% block extrajs %}
    <!-- Datatables -->    
    <script src="/static/js/jquery.dataTables.min.js"></script>
    <script src="/static/js/dataTables.bootstrap.min.js"></script>
    <script src="/static/js/dataTables.buttons.min.js"></script>
    <script src="/static/js/buttons.bootstrap.min.js"></script>
    <script src="/static/js/buttons.flash.min.js"></script>
    <script src="/static/js/buttons.html5.min.js"></script>
    <script src="/static/js/buttons.print.min.js"></script>
    <script src="/static/js/dataTables.fixedHeader.min.js"></script>
    <script src="/static/js/dataTables.keyTable.min.js"></script>
    <script src="/static/js/dataTables.responsive.min.js"></script>
    <script src="/static/js/responsive.bootstrap.js"></script>
    <script src="/static/js/dataTables.scroller.min.js"></script>
    <script src="/static/js/jszip.min.js"></script>
    <script src="/static/js/pdfmake.min.js"></script>
    <script src="/static/js/vfs_fonts.js"></script>
    <script>
        $(function () {
            $('#datatable-responsive').DataTable({
                "destroy": true,
                "scrollY": true,
                "language": {
                    "sSearch": "Buscar",
                    "oPaginate": {
                      "sFirst": "Primero",
                      "sLast": "Último",
                      "sNext": "Siguiente",
                      "sPrevious": "Anterior"
                    },
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                }
            });
         });
    </script>  
{% endblock %}